❖ MatchMove Banking API Specifications

Sections

Theme switcher

List users enumerations mobile country codes

Header Parameters

X-Auth-User-IPstring

The IP using which the actor is making the request

X-Auth-Device-IDstring

The unique id of the device using which the actor is making the request

X-Auth-User-Agentstring

The user agent of the device using which the actor is making the request

X-Auth-Actorstring Required

The actor on behalf of whom the API request is being performed

Path Parameters

program_codestring Required

Unique identifier for your program, issued by MatchMove during onboarding. All requests must use the program_code assigned to your integration. Using a program_code that does not belong to your integration will result in an authorization error.

Response

200
Object

OK

Response Attributes

mobile_country_codesarray
Min items
1
Max items
300
Allow unique items
true
400
Object

Bad Request The response code field indicates which specific rule was violated. Possible error codes:

  • invalid_model — Invalid model

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

401
Object

Unauthorized

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

403
Object

Forbidden

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

404
Object

Not Found

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

500
Object

Internal Server Error The response code field indicates the failure category.

Possible error codes:

  • request_fatal_internal — Fatal service error
  • generic_error — General application error

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

501
Object

Not Implemented

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

502
Object

Bad Gateway

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

503
Object

External Service Error

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

504
Object

Gateway timeout

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

Was this section helpful?

GET

/

Select
1

Response

Was this section helpful?